/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomStyleSheetList_H___INT_
#define __GdomStyleSheetList_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "StyleSheetList.h"
namespace WebCore {
    gpointer toGDOM(StyleSheetList* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMStyleSheetList : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_STYLE_SHEET_LIST; }
    GDOMStyleSheetList(PassRefPtr<WebCore::StyleSheetList> impl);
    virtual ~GDOMStyleSheetList();
    WebCore::StyleSheetList* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::StyleSheetList> m_impl;
};
G_END_DECLS

#endif /* __GdomStyleSheetList_H___INT_*/
